Subject: Re: bug#22436: read-coding-system uses wrong default when called from write-file

From: Eli Zaretskii <[email-masked]>
Date: Tue, 26 Jan 2016 17:39:22 +0200

> From: Richard Copley <[email-masked]>
> Date: Mon, 25 Jan 2016 22:38:15 +0000
> Cc: Lars Magne Ingebrigtsen <[email-masked]>, [email-masked]
> 
> >> > We can sort the list differently.  But if all we want is to always get
> >> > UTF-8 at the head, there's a much easier way, see my other message
> >> > where I mentioned prefer-coding-system.
> >>
> >> I guess I'm just saying that I think the least surprising default coding
> >> system here would be utf-8.
> >
> > For you, maybe.  What about all those Chinese out there?  What if I'm
> > writing an email to someone in China?  Etc., etc.
> 
> What about them, and everybody else? UTF-8 is good enough
> for all of us.

Not in the Far East, I'm afraid.

> Eli, you asked earlier if this report should be closed. I guess so!
> As you've explained, it's not a bug. I don't like the default
> behaviour, but it's pretty far down the list of things that I don't
> like about "emacs -Q".

OK, closing.  Thanks for pointing that out.